Page MenuHomePhabricator

Upload icon styles loaded despite uploads being disabled
Closed, ResolvedPublic

Description

#ca-upload.icon
#ca-upload input
#ca-upload.enabled.icon
#ca-upload.enabled input
#ca-upload.enabled ::-webkit-file-upload-button

Event Timeline

Jdlrobson created this task.May 6 2015, 8:21 PM
Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Jdlrobson, gerritbot, phuedx and 2 others.

On a side note - shouldn't we just kill all our upload code or do we have to maintain it for 3rd parties?

Gilles added a comment.May 7 2015, 8:55 AM

Do you know of specific 3rd parties using it?

I have suspicions but we should remove this css the same way as we remove all the js code associated with this feature.

Removing code all together can be discussed separately.

Change 210084 had a related patch set uploaded (by Jdlrobson):
Remove uploads

https://gerrit.wikimedia.org/r/210084

Change 210084 merged by jenkins-bot:
Remove uploads

https://gerrit.wikimedia.org/r/210084

Jdlrobson closed this task as Resolved.May 26 2015, 8:52 AM
Jdlrobson claimed this task.

Uploads is now disabled.